Subject: Problems Compiling unzip 5.41 UNIX Version
From: Jason Tishler <[email-masked]>
To: Cygwin <[email-masked]>
Date: Fri, 26 May 2000 11:09:47 -0400

Although it was easy to compile the zip 2.3 UNIX version with the
Cygwin gcc compiler, unzip 5.41 is another story.  Using the gcc target
in unix/Makefile I get the following:

    $ make -f unix/Makefile gcc
    make unzips CC=gcc LD=gcc CF="-O3 -I." LF2=""
    ...
    gcc -c -O3 -I. unix/unix.c
    unix/unix.c:66: sys/dir.h: No such file or directory

Since sys/dir.h does not exist under Cygwin and by reading unix/unix.c
it seemed to make sense to define DIRENT.  So, I tried the following:

    $ make -f unix/Makefile LOCAL_UNZIP=-DDIRENT gcc
    make unzips CC=gcc LD=gcc CF="-O3 -I. -DDIRENT" LF2=""
    ...
    gcc -c -O3 -I. -DDIRENT unix/unix.c
    unix/unix.c: In function `checkdir':
    unix/unix.c:625: structure has no member named `end'
    ...
    unix/unix.c:638: structure has no member named `buildpath'
    ...

If those of you who have successfully compiled the unzip 5.41 UNIX
version could help me out, I'd really appreciate it.

BTW, the zip 2.3 UNIX version *does* handle symlinks properly.  If I
can get a working unzip 5.41 UNIX version ... sigh.

Thanks,
Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: +1 (732) 264-8770 x235
Dot Hill Systems Corporation         Fax:   +1 (732) 264-8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]